commit ac2ece3e153167224c85cc384e2826ea9711a8b5
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Wed Mar 7 15:52:42 2018 +0100

    [ot] Comment out AAT include

 src/hb-ot-shape.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 23a9ac993862b4a9032d38e80491a769b7ee86da
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Wed Mar 7 15:51:42 2018 +0100

    Remove hb-ot-color.h

    So I can make a release.

 src/Makefile.sources          |  1 -
 src/hb-ot-color-cpal-table.hh | 48 +++++++++++++++++++++++++
 src/hb-ot-color.h             | 81
 -------------------------------------------
 src/hb-ot.h                   |  1 -
 4 files changed, 48 insertions(+), 83 deletions(-)

commit 790a11700773dd664e4d5edac63c404c5ebce080
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Wed Mar 7 15:31:15 2018 +0100

    [ot] Remove hb-ot-base.h

    BASE table API will go into hb-ot-layout.h.

 src/Makefile.sources           |  1 -
 src/hb-ot-base.h               | 56
 ------------------------------------------
 src/hb-ot-layout-base-table.hh |  1 -
 src/hb-ot-layout.h             | 16 ++++++++++++
 src/hb-ot.h                    |  1 -
 5 files changed, 16 insertions(+), 59 deletions(-)

commit f014a124f582215fa96afc28b534a1ca0bf17167
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Wed Mar 7 10:49:26 2018 +0100

    [set] Fix algebra

    Was totally b0rked. Ouch!

    Fixes https://github.com/harfbuzz/harfbuzz/issues/863

 src/hb-set-private.hh | 20 +++++++++++++++++---
 1 file changed, 17 insertions(+), 3 deletions(-)

commit 7587683cdce8ee9b7f07bae82aa1bb163e79ab92
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Wed Mar 7 09:55:22 2018 +0100

    [set] Minor

    In preparation to fix https://github.com/harfbuzz/harfbuzz/issues/863

    Binary operations are sets are completely broken. Ouch.

 src/hb-set-private.hh | 21 ++++++++++++++-------
 1 file changed, 14 insertions(+), 7 deletions(-)

commit e4cbb87bd3512c3a6e97ea3923ecd1b26b0a1251
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Wed Mar 7 09:37:22 2018 +0100

    Minor

 src/hb-ot-color-colr-table.hh | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit c6150333c29b458ed34858f24e94acc0f771aa0b
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Wed Mar 7 09:27:16 2018 +0100

    Sign

 src/test-unicode-ranges.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 9a6f9b4d4284f0378a71a181fe216d97c913669e
Author: Garret Rieger <grieger@google.com>
Date:   Tue Mar 6 13:46:51 2018 -0800

    [set] add a test demonstrating a bug in hb_set_union.

 test/api/test-set.c | 10 ++++++++++
 1 file changed, 10 insertions(+)

commit 9b4a5d7ef1ec068042e3c793845a4dbc3308d4b7
Author: Ebrahim Byagowi <ebrahim@gnu.org>
Date:   Wed Mar 7 00:23:40 2018 +0330

    [ci] Enable -Werror=unused (#862)

 .travis.yml             | 4 ++--
 src/hb-ot-glyf-table.hh | 1 -
 2 files changed, 2 insertions(+), 3 deletions(-)

commit 54cbe6702c1e4c934c60512367abaf801294c1bb
Author: Ebrahim Byagowi <ebrahim@gnu.org>
Date:   Tue Mar 6 16:41:08 2018 +0330

    [ot-color] Further improvements on COLR/CPAL implementation (#859)

    * Implemented a bsearch on get_base_glyph_record
    * Made get_color_record_argb actually work

 src/hb-ot-color-colr-table.hh | 35 ++++++++++++++-----------
 src/hb-ot-color-cpal-table.hh | 59
 +++++++++++++++----------------------------
 src/hb-ot-color.h             | 12 ++-------
 3 files changed, 42 insertions(+), 64 deletions(-)

commit 18d14b8e0d5d28106800ebf835ff3155a4f4de7c
Author: Ebrahim Byagowi <ebrahim@gnu.org>
Date:   Mon Mar 5 14:25:11 2018 +0330

    [dev-run] an option to open using a GUI app

 src/dev-run.sh | 22 ++++++++++++++++++----
 1 file changed, 18 insertions(+), 4 deletions(-)

commit 1db83954948dfae3f75f61c535c5de1b3a843a69
Author: Ebrahim Byagowi <ebrahim@gnu.org>
Date:   Mon Mar 5 13:02:50 2018 +0330

    [ci] minor, bring back the removed assertion

 .ci/run-coveralls.sh | 2 ++
 1 file changed, 2 insertions(+)

commit 5895fe3d4d0441dacf8989740cf4150193397796
Author: Ebrahim Byagowi <ebrahim@gnu.org>
Date:   Mon Mar 5 12:58:34 2018 +0330

    [ci] minor

 .ci/trigger-coverity.sh | 6 ++----
 1 file changed, 2 insertions(+), 4 deletions(-)

commit a3e29fd38f01b26b6306f9f7142a54cc7d6c6080
Author: Ebrahim Byagowi <ebrahim@gnu.org>
Date:   Sun Mar 4 02:56:27 2018 +0330

    [aat/kerx] Add a TODO

 src/hb-aat-layout-kerx-table.hh | 1 +
 1 file changed, 1 insertion(+)

commit 0ef6ab25ab4456e387711ae246900486ad738d26
Author: Ebrahim Byagowi <ebrahim@gnu.org>
Date:   Sun Mar 4 02:47:26 2018 +0330

    [ot-color] Move cbdt to the namespace (#860)

 src/Makefile.sources                                   | 2 +-
 src/{hb-ot-cbdt-table.hh => hb-ot-color-cbdt-table.hh} | 6 +++---
 src/hb-ot-font.cc                                      | 3 ++-
 3 files changed, 6 insertions(+), 5 deletions(-)

commit 6659cb56fae0c900ae88e95bedcb3b76234c8838
Author: Ebrahim Byagowi <ebrahim@gnu.org>
Date:   Sun Mar 4 02:31:53 2018 +0330

    [ci] Remove --coverage as use of --enable-code-coverage

 .travis.yml | 5 ++---
 1 file changed, 2 insertions(+), 3 deletions(-)

commit 00dd321ace75ff0d1824cf75cd41490c5dd6ad76
Author: Ebrahim Byagowi <ebrahim@gnu.org>
Date:   Sat Mar 3 23:26:11 2018 +0330

    [ci] Don't run coveralls on freetype folder

 .travis.yml | 1 +
 1 file changed, 1 insertion(+)

commit f50aedd371f1a6894d1bf7732f017b51cbdd59bd
Author: Ebrahim Byagowi <ebrahim@gnu.org>
Date:   Sat Mar 3 23:17:36 2018 +0330

    [ci] Remove failing check on run-coveralls

 .ci/run-coveralls.sh | 2 --
 1 file changed, 2 deletions(-)

commit a0031c120e3ac5c059b81a004b9386fab3d662fc
Author: Ebrahim Byagowi <ebrahim@gnu.org>
Date:   Sat Mar 3 23:09:25 2018 +0330

    Add lcov tool for coverage tests

 .travis.yml | 1 +
 1 file changed, 1 insertion(+)

commit ecef95b21264347f9505e3ed4fb25ec7e4ccca5d
Author: Ebrahim Byagowi <ebrahim@gnu.org>
Date:   Sat Mar 3 23:03:13 2018 +0330

    [ci] Enable code coverage on Travis Linux builds

 .travis.yml | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit f7399796a1ed36cfc4f1ef7631584569baa80981
Author: Ebrahim Byagowi <ebrahim@gnu.org>
Date:   Sat Mar 3 22:55:09 2018 +0330

    Enable coverage test on autotools (#857)

 configure.ac           |   1 +
 m4/ax_code_coverage.m4 | 264
 +++++++++++++++++++++++++++++++++++++++++++++++++
 src/Makefile.am        |   6 +-
 3 files changed, 269 insertions(+), 2 deletions(-)

commit c446c23f0f09e541891b49184febdfc75cb3505f
Author: Ebrahim Byagowi <ebrahim@gnu.org>
Date:   Sat Mar 3 22:43:23 2018 +0330

    [ot-color] Move the related tables to hb-ot-color-* (#858)

 src/Makefile.sources                                   | 4 ++--
 src/{hb-ot-colr-table.hh => hb-ot-color-colr-table.hh} | 6 +++---
 src/{hb-ot-cpal-table.hh => hb-ot-color-cpal-table.hh} | 6 +++---
 src/hb-ot-color.cc                                     | 4 ++--
 src/hb-ot-layout.cc                                    | 4 ++--
 5 files changed, 12 insertions(+), 12 deletions(-)

commit 48ed15a2bcdc1999e2d39fdcb2644ba4c3beccfe
Author: Ebrahim Byagowi <ebrahim@gnu.org>
Date:   Sat Mar 3 22:00:29 2018 +0330

    [COLR/CPAL] Provide enough helper for rasterization (#855)

 src/hb-ot-colr-table.hh | 47
 ++++++++++++++++++++++++++++++++++++++++++++---
 src/hb-ot-cpal-table.hh | 18 +++++++++++++++---
 2 files changed, 59 insertions(+), 6 deletions(-)

commit 432758a7ac3c1a857e67069f157efbf4ebf5521b
Author: Ebrahim Byagowi <ebrahim@gnu.org>
Date:   Sat Mar 3 01:05:59 2018 +0330

    [COLR] Revert previous sanitization on the table

    That sanitization wasn't right, firstLayerIndex is an index from
    beginning of the Layer Records
    not the table itself.

 src/hb-ot-colr-table.hh | 23 ++++++-----------------
 1 file changed, 6 insertions(+), 17 deletions(-)

commit 71b4598ea37b316571bae22ced2f1b38185c9f44
Author: Ebrahim Byagowi <ebrahim@gnu.org>
Date:   Fri Mar 2 11:04:09 2018 +0330

    [aat/kerx] Improve format 6 subtable

 src/hb-aat-layout-kerx-table.hh | 14 +++++++++-----
 1 file changed, 9 insertions(+), 5 deletions(-)

commit b73a5a1c240478616827529c94f0133018f9f790
Author: Ebrahim Byagowi <ebrahim@gnu.org>
Date:   Fri Mar 2 00:07:26 2018 +0330

    [aat/kerx] Make parsing of the table actually work (#850)

 src/hb-aat-layout-kerx-table.hh | 298
 +++++++++++++++++-----------------------
 1 file changed, 124 insertions(+), 174 deletions(-)

commit a570edcde2f89e59b5ccd4867a8c0eed084bf35d
Author: Ebrahim Byagowi <ebrahim@gnu.org>
Date:   Fri Mar 2 00:06:03 2018 +0330

    [COLR] Sanitize BaseGlyphRecord (#854)

 src/hb-ot-colr-table.hh | 27 ++++++++++++++++++---------
 1 file changed, 18 insertions(+), 9 deletions(-)

commit 7e958646a4a825bfe3aac56ddb96100d68c5592c
Author: Ebrahim Byagowi <ebrahim@gnu.org>
Date:   Thu Mar 1 10:27:18 2018 +0330

    [CPAL] Fix version checking logic on sanitizer (#851)

 src/hb-ot-cpal-table.hh | 14 ++++++--------
 1 file changed, 6 insertions(+), 8 deletions(-)

commit bcf578fefe6d7af0a962329ceb9989ce61ec467d
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Wed Feb 28 16:31:46 2018 -0800

    [test] Add test suite for Brahmi Number Joiners

    https://github.com/harfbuzz/harfbuzz/pull/660

 .../fonts/1ed7e9064f008f62de6ff0207bb4dd29409597a5.ttf   | Bin 0 ->
 2768 bytes
 test/shaping/data/in-house/tests/use-syllable.tests      |   1 +
 test/shaping/record-test.sh                              |   2 +-
 3 files changed, 2 insertions(+), 1 deletion(-)

commit b4ba71ea7ccce70e24138373774741c7f03dd24e
Author: Garret Rieger <grieger@google.com>
Date:   Wed Feb 28 15:44:00 2018 -0800

    [subset] In subset integration test pass output through ots-sanitize
    if present.

 test/subset/run-tests.py | 25 +++++++++++++++++++++++--
 1 file changed, 23 insertions(+), 2 deletions(-)

commit 588a4e0f9b2d71362503a274de7200f3eb4367f7
Merge: 55a4dfa3 b3f1a045
Author: rsheeter <rsheeter@google.com>
Date:   Wed Feb 28 13:52:29 2018 -0800

    Merge pull request #845 from googlefonts/drophints

    [subset] drop hints from composites

commit b3f1a045a8b86747afce6bc154f2a166ea678efb
Author: Rod Sheeter <rsheeter@google.com>
Date:   Wed Feb 28 11:41:24 2018 -0800

    [subset] kick the build

 src/hb-subset-glyf.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 20d57399235b410d2bdc98103c8bb3dfd1c34176
Author: Rod Sheeter <rsheeter@google.com>
Date:   Wed Feb 28 11:15:08 2018 -0800

    [subset] extract a method to flip off composite instruction flag

 src/hb-subset-glyf.cc | 24 +++++++++++++++---------
 1 file changed, 15 insertions(+), 9 deletions(-)

commit 55a4dfa374bae1db846c3b848b7e59fb0014b627
Author: Ebrahim Byagowi <ebrahim@gnu.org>
Date:   Wed Feb 28 15:43:23 2018 +0330

    Use old project location of coverity

    https://github.com/harfbuzz/harfbuzz/commit/8089711a61687d565f207c56d3d2b658f514d7ab#commitcomment-27835452

 .travis.yml | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 3821978bcd92cbdb607111452796e051c456f391
Merge: 77227462 f671f7f0
Author: Ebrahim Byagowi <ebrahim@gnu.org>
Date:   Wed Feb 28 13:30:17 2018 +0330

    Merge pull request #847 from ebraminio/colr

    [colr] Implement

commit f671f7f0a8caa7b5763e00146e1ec4b9a7258227
Author: Ebrahim Byagowi <ebrahim@gnu.org>
Date:   Wed Feb 28 13:19:40 2018 +0330

    [colr] Implement

 src/Makefile.sources        |  1 +
 src/hb-ot-color.cc          |  9 +++++
 src/hb-ot-color.h           |  9 -----
 src/hb-ot-colr-table.hh     | 98
 +++++++++++++++++++++++++++++++++++++++++++++
 src/hb-ot-cpal-table.hh     |  6 +--
 src/hb-ot-layout-private.hh |  6 ++-
 src/hb-ot-layout.cc         | 11 +++--
 7 files changed, 122 insertions(+), 18 deletions(-)

commit 772274625e9f17d726f2a1da8192ec3ec24793a3
Merge: 0eec3315 5b9c2340
Author: Ebrahim Byagowi <ebrahim@gnu.org>
Date:   Wed Feb 28 12:05:49 2018 +0330

    Merge pull request #841 from ebraminio/color

    Support CPAL table

commit 0eec33154a418fba97a08be7169b59e748b7e785
Author: Ebrahim Byagowi <ebrahim@gnu.org>
Date:   Wed Feb 28 11:53:39 2018 +0330

    [cmake] cleanup (#846)

 CMakeLists.txt          | 70
 ++++++++++++++++++++-----------------------------
 test/api/CMakeLists.txt |  2 +-
 2 files changed, 30 insertions(+), 42 deletions(-)

commit 5b9c234043d0483e53e9da5fe4afd7743190b538
Author: Ebrahim Byagowi <ebrahim@gnu.org>
Date:   Tue Feb 27 22:56:17 2018 +0330

    [CPAL] Refactor and address the reviews

 NEWS                                               |   3 +-
 src/Makefile.am                                    |   1 -
 src/hb-ot-color.cc                                 |  70 +++----------
 src/hb-ot-color.h                                  |  31 +++---
 src/hb-ot-cpal-table.hh                            | 116
 +++++++++++++++------
 src/hb-ot-layout-private.hh                        |   3 +-
 src/hb-ot-layout.cc                                |   5 +-
 test/api/hb-test.h                                 |   2 +
 test/api/test-ot-color.c                           |  39 +++----
 .../319f5d7ebffbefc5c5e6569f8cea73444d7a7268.ttf   | Bin
 .../e90374e5e439e00725b4fe7a8d73db57c5a97f82.ttf   | Bin
 11 files changed, 141 insertions(+), 129 deletions(-)

commit 6836a821428b714b9f2e95d5c4ebbd73867d9a53
Author: Rod Sheeter <rsheeter@google.com>
Date:   Tue Feb 27 20:51:12 2018 -0800

    [subset] remove WE_HAVE_INSTRUCTIONS from composites when dropping
    hints

 src/hb-subset-glyf.cc | 12 +++++++++++-
 1 file changed, 11 insertions(+), 1 deletion(-)

commit ffcb5cbf71b312cdd4606a3285e10e201ff5bccd
Author: Rod Sheeter <rsheeter@google.com>
Date:   Tue Feb 27 20:17:04 2018 -0800

    [subset] update the test file for composite, fix an offset calculation

 src/hb-ot-glyf-table.hh                                  |   2 +-
 test/api/fonts/Roboto-Regular.components.1fc.nohints.ttf | Bin 0 ->
 932 bytes
 test/api/test-subset-glyf.c                              |   5 ++---
 3 files changed, 3 insertions(+), 4 deletions(-)

commit c8b230e4377bc8e80d37835a229511ce0e30cc47
Merge: b3790a65 904dd7be
Author: Rod Sheeter <rsheeter@google.com>
Date:   Tue Feb 27 17:25:32 2018 -0800

    Merge branch 'expand-tests' of github.com:googlefonts/harfbuzz
    into drophints

commit 904dd7beea756fd7429fad36f5c37321aedb4e81
Author: Garret Rieger <grieger@google.com>
Date:   Tue Feb 27 14:33:36 2018 -0800

    [subset] Add drop hinting profile to full-font.tests

 .../Roboto-Regular.drop-hints.1FC,21,41,20,62,63.ttf     | Bin 0 ->
 2152 bytes
 .../full-font/Roboto-Regular.drop-hints.61,62,63.ttf     | Bin 0 ->
 1968 bytes
 test/subset/data/tests/full-font.tests                   |   1 +
 3 files changed, 1 insertion(+)

commit 70a1049b3f8dc241fcb9b524bd010f0c1606f6ad
Author: Garret Rieger <grieger@google.com>
Date:   Tue Feb 27 14:28:50 2018 -0800

    [subset] Add a drop hints profile to basics.tests

 .../basics/Roboto-Regular.abc.drop-hints.61,62,63.ttf     | Bin 0 ->
 876 bytes
 .../basics/Roboto-Regular.abc.drop-hints.61,63.ttf        | Bin 0 ->
 792 bytes
 .../expected/basics/Roboto-Regular.abc.drop-hints.61.ttf  | Bin 0 ->
 684 bytes
 .../expected/basics/Roboto-Regular.abc.drop-hints.62.ttf  | Bin 0 ->
 652 bytes
 .../expected/basics/Roboto-Regular.abc.drop-hints.63.ttf  | Bin 0 ->
 656 bytes
 test/subset/data/profiles/drop-hints.txt                  |   1 +
 test/subset/data/tests/basics.tests                       |   1 +
 7 files changed, 2 insertions(+)

commit 5241d7f4b999d5457de564bd950b60d70f9d0e19
Author: Garret Rieger <grieger@google.com>
Date:   Tue Feb 27 13:15:40 2018 -0800

    [subset] apply subset profiles (flags) to the subset integration
    tests.

 test/subset/generate-expected-outputs.py | 27 ++++++++++++++-------------
 test/subset/run-tests.py                 |  3 ++-
 test/subset/subset_test_suite.py         | 11 ++++++++---
 3 files changed, 24 insertions(+), 17 deletions(-)

commit a4aca190a93f94c25c906ec0269183d8b2d0b5e8
Author: Garret Rieger <grieger@google.com>
Date:   Tue Feb 27 11:36:16 2018 -0800

    [subset] add expected/full-font to dist files.

 test/subset/data/Makefile.am | 1 +
 1 file changed, 1 insertion(+)

commit d31ace32740b1777ebb023ffdb10cd0cfec3997e
Author: Garret Rieger <grieger@google.com>
Date:   Mon Feb 26 18:51:56 2018 -0800

    [subset] Add subset integration tests using the full roboto font.

 test/subset/data/Makefile.sources                      |   1 +
 .../Roboto-Regular.default.1FC,21,41,20,62,63.ttf      | Bin 0 ->
 3700 bytes
 .../full-font/Roboto-Regular.default.61,62,63.ttf      | Bin 0 ->
 3320 bytes
 test/subset/data/fonts/Roboto-Regular.ttf              | Bin 0 ->
 171676 bytes
 test/subset/data/tests/full-font.tests                 |  10 ++++++++++
 test/subset/generate-expected-outputs.py               |  12 ++++++++----
 6 files changed, 19 insertions(+), 4 deletions(-)

commit 33f4381314c5248b8b112e344af7548806f93a82
Author: Garret Rieger <grieger@google.com>
Date:   Mon Feb 26 18:39:09 2018 -0800

    [subset] Add some more variations of the basic test.

 .../basics/Roboto-Regular.abc.default.61,62,63.ttf       | Bin 0 ->
 2120 bytes
 .../expected/basics/Roboto-Regular.abc.default.61,63.ttf | Bin 0 ->
 1932 bytes
 .../expected/basics/Roboto-Regular.abc.default.61.ttf    | Bin 0 ->
 1744 bytes
 .../expected/basics/Roboto-Regular.abc.default.63.ttf    | Bin 0 ->
 1668 bytes
 test/subset/data/tests/basics.tests                      |   4 ++++
 5 files changed, 4 insertions(+)

commit b3790a65a18e8402b2b09dfc24aaea40a51de569
Author: Rod Sheeter <rsheeter@google.com>
Date:   Tue Feb 27 17:23:30 2018 -0800

    [subset] add a (failing for now) test for composite glyf hint dropping

 src/hb-ot-glyf-table.hh     |  8 ++++----
 test/api/test-subset-glyf.c | 27 +++++++++++++++++++++++++--
 2 files changed, 29 insertions(+), 6 deletions(-)

commit 4c6023f861a4b87782c17ac626ffee7e93f15fc8
Merge: d7633d0a 921b65cb
Author: Garret Rieger <grieger@google.com>
Date:   Tue Feb 27 17:06:27 2018 -0700

    Merge pull request #842 from googlefonts/maxp

    [subset] when dropping hints, clear hint related fields in maxp.

commit 921b65cbc29f0c2c9c13e9fb272dafe4c8a14591
Author: Garret Rieger <grieger@google.com>
Date:   Tue Feb 27 14:37:18 2018 -0800

    [subset] minor fixes in hb-ot-maxp-table.hh

 src/hb-ot-maxp-table.hh | 15 +++++++--------
 1 file changed, 7 insertions(+), 8 deletions(-)

commit b26db48bfff804e139331817a86ecc811547afcd
Author: Garret Rieger <grieger@google.com>
Date:   Tue Feb 27 14:14:05 2018 -0800

    [subset] whitespace for hb-ot-maxp-table.hh

 src/hb-ot-maxp-table.hh | 30 +++++++++++++++---------------
 1 file changed, 15 insertions(+), 15 deletions(-)

commit a76344da796670f33b2fa48a9b1676545dac93c2
Author: Garret Rieger <grieger@google.com>
Date:   Tue Feb 27 14:11:36 2018 -0800

    [subset] Add maxpV1Tail instead of defining a struct inside maxp
    for v1 data.

 src/hb-ot-maxp-table.hh | 81
 ++++++++++++++++++++++++++++++-------------------
 1 file changed, 49 insertions(+), 32 deletions(-)

commit f14d1b64c2d148ffdec95c17adbee3f185d5d436
Author: Garret Rieger <grieger@google.com>
Date:   Tue Feb 27 13:49:00 2018 -0800

    [subset] when dropping hints, clear hint related fields in maxp.

 src/hb-ot-maxp-table.hh     | 43
 ++++++++++++++++++++++++++++++++++++++++---
 test/api/test-subset-glyf.c | 30 +++++++++++++++++++++++-------
 2 files changed, 63 insertions(+), 10 deletions(-)

commit d7633d0a4091c025638ba3fc8fb0d8e9a0e9ff8c
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Tue Feb 27 12:50:57 2018 -0800

    [BASE] More

 src/hb-ot-layout-base-table.hh | 153
 ++++-------------------------------------
 1 file changed, 12 insertions(+), 141 deletions(-)

commit 7a70c20fec6ece9e729dc2634e2896a8d8eb9962
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Tue Feb 27 12:45:26 2018 -0800

    [BASE] Clean up first 29%

 src/hb-ot-layout-base-table.hh | 262
 +++++++++++++++++++----------------------
 src/hb-ot-layout-gsub-table.hh |   2 +-
 2 files changed, 125 insertions(+), 139 deletions(-)

commit 101850f9e6b9e0932fe1dd4169f88d6764c669c1
Merge: 5967eaba f110c0c8
Author: Ebrahim Byagowi <ebrahim@gnu.org>
Date:   Tue Feb 27 20:15:54 2018 +0330

    Merge with master

commit f110c0c8866c853c0d5a930564a2b69231a33322
Merge: 4a1d51ef 0ad8c663
Author: Ebrahim Byagowi <ebrahim@gnu.org>
Date:   Tue Feb 27 11:41:12 2018 +0330

    Merge pull request #838 from harfbuzz/BASE

    BASE table

commit 0ad8c663e0b4602e2a413e77a8158bf8a46755d5
Author: Ebrahim Byagowi <ebrahim@gnu.org>
Date:   Mon Feb 26 12:45:08 2018 +0330

    Remove public API of the branch

 src/hb-ot-base.h               |  4 ++--
 src/hb-ot-layout-base-table.hh | 20 +++++++++---------
 src/hb-ot-layout.cc            | 48
 ++++++++++++++++++++----------------------
 3 files changed, 35 insertions(+), 37 deletions(-)

commit 4a1d51ef15a423706406f784a146078073147885
Merge: d0caf7e5 903771b6
Author: rsheeter <rsheeter@google.com>
Date:   Mon Feb 26 20:23:41 2018 -0800

    Merge pull request #818 from googlefonts/drophints

    [subset] Drop hints

commit 903771b6c7689b9eee9a11bac128c42f39833b2e
Author: Rod Sheeter <rsheeter@google.com>
Date:   Mon Feb 26 19:50:06 2018 -0800

    [subset] clearer name for trim() and better comment about composite
    handling, per review feedback

 src/hb-ot-glyf-table.hh |  8 +++++---
 src/hb-subset-glyf.cc   | 17 ++++++++---------
 2 files changed, 13 insertions(+), 12 deletions(-)

commit d0caf7e5e3294c25230ed0e5580c647fa0f1a2c8
Merge: 6c844ae8 44dc36dd
Author: Garret Rieger <grieger@google.com>
Date:   Mon Feb 26 19:24:18 2018 -0700

    Merge pull request #840 from googlefonts/os2

    [subset] During os2 subsetting update ulUnicodeRange[]c

commit 44dc36dd82fc948a15e2ad0d605eb4a466b3553d
Author: Garret Rieger <grieger@google.com>
Date:   Mon Feb 26 17:56:23 2018 -0800

    [subset] update to comment in hb-ot-os2-unicode-ranges.hh

 src/hb-ot-os2-unicode-ranges.hh | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit ad3f2f77dafdee524e836e732077ee9670602369
Author: Garret Rieger <grieger@google.com>
Date:   Mon Feb 26 17:51:27 2018 -0800

    [subset] small cleanups in hb-ot-os2-table.

 src/hb-ot-os2-table.hh          | 5 +++--
 src/hb-ot-os2-unicode-ranges.hh | 2 +-
 2 files changed, 4 insertions(+), 3 deletions(-)

commit f1c8fc3487d5c5efb8ee1804acb07e6e282d3bc5
Author: Garret Rieger <grieger@google.com>
Date:   Mon Feb 26 17:48:51 2018 -0800

    [subset] small updates to gen-unicode-ranges.py

 src/gen-unicode-ranges.py       | 6 ++++--
 src/hb-ot-os2-unicode-ranges.hh | 3 ++-
 2 files changed, 6 insertions(+), 3 deletions(-)

commit 0c0fe2ff8209228f2ddfce464b7b6f1b1ee1654a
Author: Garret Rieger <grieger@google.com>
Date:   Mon Feb 26 17:47:10 2018 -0800

    [subset] Move util/generated-unicode-ranges.py to
    src/gen-unicode-ranges.py

 util/generate-unicode-ranges.py => src/gen-unicode-ranges.py | 0
 1 file changed, 0 insertions(+), 0 deletions(-)

commit f630ae5161bfc8420f9ae0127fd8c7f447874fdd
Author: Garret Rieger <grieger@google.com>
Date:   Mon Feb 26 17:46:17 2018 -0800

    [subset] unsigned int -> hb_codepoint_t.

 src/hb-ot-os2-unicode-ranges.hh | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 6368ce4c927b1457cf19945d5957e91d4621dc8b
Author: Garret Rieger <grieger@google.com>
Date:   Mon Feb 26 17:44:39 2018 -0800

    [subset] const in _compare_range.

 src/hb-ot-os2-unicode-ranges.hh | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit 0be9fea0a96701b159a9db190e55b1c3efc38a28
Author: Garret Rieger <grieger@google.com>
Date:   Mon Feb 26 16:15:09 2018 -0800

    [subset] Add comment to os2UnicodeRangesSorted.

 src/hb-ot-os2-unicode-ranges.hh | 1 +
 1 file changed, 1 insertion(+)

commit e20ab71d12b032371b830b76462e5e979d963b58
Author: Garret Rieger <grieger@google.com>
Date:   Mon Feb 26 16:13:10 2018 -0800

    [subset] Fix incorrect index.

 src/hb-ot-os2-table.hh | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 074b5a29a166d1812abc7229a71af4a3bb311536
Author: Garret Rieger <grieger@google.com>
Date:   Mon Feb 26 16:11:24 2018 -0800

    [subset] Add special case handling of bit 57 in os2 ulUnicodeRange.

 src/hb-ot-os2-table.hh     | 7 +++++++
 src/test-unicode-ranges.cc | 3 ---
 2 files changed, 7 insertions(+), 3 deletions(-)

commit ddc4f2b9fc5566e70558a57133289f84d467cc98
Author: Garret Rieger <grieger@google.com>
Date:   Mon Feb 26 15:59:32 2018 -0800

    [subset] Add python util that was used to generated
    hb-ot-os2-unicode-ranges.hh

 util/generate-unicode-ranges.py | 50
 +++++++++++++++++++++++++++++++++++++++++
 1 file changed, 50 insertions(+)

commit f757757eda5f00a89a156e3427bdf8c4313611ef
Author: Garret Rieger <grieger@google.com>
Date:   Mon Feb 26 15:56:36 2018 -0800

    [subset] Add cmake build def for test-unicode-ranges.

 CMakeLists.txt  | 2 +-
 src/Makefile.am | 1 -
 2 files changed, 1 insertion(+), 2 deletions(-)

commit f82f2a3e50805503d93aa1aa1ccb27da4967a14a
Author: Garret Rieger <grieger@google.com>
Date:   Mon Feb 26 15:52:01 2018 -0800

    [subset] Rename hb-os2-unicode-ranges.cc to test-unicode-ranges.cc.

 src/Makefile.am                                             | 2 +-
 src/{hb-ot-os2-unicode-ranges.cc => test-unicode-ranges.cc} | 0
 2 files changed, 1 insertion(+), 1 deletion(-)

commit 4014555ca083dea3e4f42120aeaf52a2186b8a09
Author: Garret Rieger <grieger@google.com>
Date:   Mon Feb 26 15:50:13 2018 -0800

    [subset] set ulUnicodeRange[] in os2.

 src/Makefile.sources            |   1 -
 src/hb-ot-os2-table.hh          |  23 ++++-
 src/hb-ot-os2-unicode-ranges.cc | 221
 ++--------------------------------------
 src/hb-ot-os2-unicode-ranges.hh | 210
 +++++++++++++++++++++++++++++++++++++-
 4 files changed, 236 insertions(+), 219 deletions(-)

commit a570142d0c6d819feeeeb9e209fc90a33c1c2b48
Author: Garret Rieger <grieger@google.com>
Date:   Mon Feb 26 15:20:23 2018 -0800

    [subset] Move hb-ot-os2-unicode-ranges into a cc file with a helper
    methods and tests.

 src/Makefile.am                 |   9 +-
 src/Makefile.sources            |   2 +
 src/hb-ot-os2-unicode-ranges.cc | 279
 ++++++++++++++++++++++++++++++++++++++++
 src/hb-ot-os2-unicode-ranges.hh | 189 +--------------------------
 4 files changed, 292 insertions(+), 187 deletions(-)

commit 8e81799b32f3dfaca000fa5d42943ceed9af8d17
Author: Garret Rieger <grieger@google.com>
Date:   Fri Feb 23 18:35:41 2018 -0800

    [subset] Add hb-ot-os2-unicode-ranges.hh, a map of os2 unicode ranges.

 src/hb-ot-os2-unicode-ranges.hh | 220
 ++++++++++++++++++++++++++++++++++++++++
 1 file changed, 220 insertions(+)

commit 6c844ae8e89f52f5f40eace66bb987544fc316e3
Author: Ebrahim Byagowi <ebrahim@gnu.org>
Date:   Mon Feb 26 23:04:27 2018 +0330

    [dev-run] show images using iTerm2 images feature

 src/dev-run.sh | 32 ++++++++++++++++++++++++++++----
 1 file changed, 28 insertions(+), 4 deletions(-)

commit 28c4245e9f76c6c53a4589e7745a60ed0e97414a
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Mon Feb 26 01:10:42 2018 -0800

    [aat/ankr] Define Anchor struct

 src/hb-aat-layout-ankr-table.hh | 16 +++++++++++++++-
 1 file changed, 15 insertions(+), 1 deletion(-)

commit e347fb908b188f71df13215c8939b0f3a12c716f
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Mon Feb 26 01:08:00 2018 -0800

    Minor

 src/hb-ot-layout-gdef-table.hh |  4 ++--
 src/hb-ot-layout-gpos-table.hh | 12 ++++++------
 2 files changed, 8 insertions(+), 8 deletions(-)

commit 05fbd14e715ed5d0f0f86388b1538ad8e8c7c506
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Mon Feb 26 01:04:16 2018 -0800

    [aat/ankr] Minor

    DEFINE_SIZE_MIN is to be used only in rare cases. For fixed-size
    structs
    we want DEFINE_SIZE_STATIC.

 src/hb-aat-layout-ankr-table.hh | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit f90cd9b1f5ade8ad5e3b7caf0272936ad7a0f419
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Mon Feb 26 01:03:23 2018 -0800

    [aat/ankr] Hook up Lookup table

 src/hb-aat-layout-ankr-table.hh | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit c36598450e9698168851c0ae7d0b4c9e562c4924
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Mon Feb 26 00:57:07 2018 -0800

    [aat/ankr] Simplify

 src/hb-aat-layout-ankr-table.hh | 36 ++++++++----------------------------
 1 file changed, 8 insertions(+), 28 deletions(-)

commit fa3a69e2334ec4122d672670614a8e5a95611d75
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Mon Feb 26 00:32:11 2018 -0800

    [aat/trak] Simplify sanitize()

 src/hb-aat-layout-trak-table.hh | 67
 ++++++++++-------------------------------
 1 file changed, 16 insertions(+), 51 deletions(-)

commit f0bc6c0992c4302ae1a20f155ad256bfa331087c
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Mon Feb 26 00:18:17 2018 -0800

    [aat/trak] Clean up

    We always just used "unsigned int" for counter values. There's
    no use for uint16_t outside of a struct.

    Also, no need for explict casting where implicit does.

 src/hb-aat-layout-trak-table.hh | 12 ++++++------
 1 file changed, 6 insertions(+), 6 deletions(-)

commit bb82f01383db7cf05040fbd5881e17e263ef6369
Author: Ebrahim Byagowi <ebrahim@gnu.org>
Date:   Sun Feb 25 12:30:33 2018 +0330

    [aat] trak sanitization

 src/dev-run.sh                  |  4 +-
 src/hb-aat-layout-trak-table.hh | 95
 ++++++++++++++++++++++++++++++++---------
 src/hb-aat-layout.cc            |  2 +-
 util/options.hh                 |  2 +-
 4 files changed, 78 insertions(+), 25 deletions(-)

commit becb1d9eea15c07f9ea4e229be56f9aca0f768af
Author: Ebrahim Byagowi <ebrahim@gnu.org>
Date:   Mon Feb 26 11:29:48 2018 +0330

    [aat] minor

    Ops, this was done for testing

 src/hb-aat-layout-ankr-table.hh | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit df1c7d5b60520d2b3c756b700d5ac41668fc0983
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Sun Feb 25 19:06:25 2018 -0800

    Minor

 src/hb-open-type-private.hh | 5 +++--
 src/hb-subset.cc            | 2 +-
 2 files changed, 4 insertions(+), 3 deletions(-)

commit 6dd46fa598cacdd046ba4548bc6ddf7f37c46dee
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Sun Feb 25 18:54:52 2018 -0800

    [aat/trak] Minor

    Maybe we should make DEFINE_* make structs uncopyable.

 src/hb-aat-layout-trak-table.hh | 56
 +++++++++++++++++++++++------------------
 1 file changed, 32 insertions(+), 24 deletions(-)

commit ae14dd0fb0a176f6f0143690907b51626999d248
Author: Ebrahim Byagowi <ebrahim@gnu.org>
Date:   Mon Feb 26 00:31:09 2018 +0330

    [aat] Implement ankr

 src/Makefile.sources            |  3 +-
 src/hb-aat-layout-ankr-table.hh | 86
 +++++++++++++++++++++++++++++++++++++++++
 src/hb-aat-layout-kerx-table.hh |  2 +-
 src/hb-aat-layout.cc            | 37 +++++++++++++-----
 src/hb-ot-layout-private.hh     |  6 ++-
 src/hb-ot-layout.cc             |  6 ++-
 6 files changed, 124 insertions(+), 16 deletions(-)

commit 551fa2d200a06d00d054f2c8e7aad1cb4d25249b
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Sun Feb 25 16:32:17 2018 -0800

    [BASE] Minor

 src/Makefile.sources           |   1 -
 src/hb-ot-base.cc              |  58 -----------------------
 src/hb-ot-layout-base-table.hh | 103
 ++++++++++++++++++++++++++++-------------
 src/hb-ot-layout.cc            |  34 ++++++++++++++
 src/hb-ot-layout.h             |   1 +
 5 files changed, 105 insertions(+), 92 deletions(-)

commit 05699fd996ed9c0e5dde8918388ac188e58df1a7
Merge: 83af6c23 3ebcd5a3
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Sat Feb 24 12:01:54 2018 -0800

    Merge remote-tracking branch 'eroux/add-base'

commit a8d3c2c030d2c21c70e0b8bd43f7d05ff4818b75
Author: Ebrahim Byagowi <ebrahim@gnu.org>
Date:   Sat Feb 24 16:42:12 2018 +0330
